﻿Imports HowDoICodeFirst.FluentMappings.Models
Imports Microsoft.VisualStudio.TestTools.UnitTesting
Imports Microsoft.VisualStudio.TestTools.UnitTesting.Web

Namespace FluentRelationshipTests

	<TestClass()>
	Public Class PostTests

		<TestMethod>
		Public Sub PostMustHaveABlogIdForSaveToSucceed()
			Dim post = New Post With {.Title = "New Post", .DateCreated = Date.Now, .Content = "xyz"}
			Dim db = New BlogContext()
			db.Posts.Add(post)
			Assert.AreEqual(1,db.SaveChanges())
		End Sub
		<TestMethod>
		Public Sub FindBlogByIdForProfiling()
		Dim db = New BlogContext()

			Assert.IsNotNull(db.Blogs.Find(1))
		End Sub
	End Class
End Namespace
