﻿Imports System.ComponentModel.DataAnnotations

Namespace HowDoICodeFirst.FluentMappings.Models
	Public Class Blog
		Public Property Id() As Integer
		Public Property Title() As String
		Public Property BloggerName() As String

		Public Overridable Property Posts() As ICollection(Of Post)
	End Class


	Public Class Post
		Public Property Id() As Integer
		Public Property Title() As String
		Public Property DateCreated() As Date
		Public Property Content() As String
		Public Property BlogId() As Integer
		Public Property Image() As Byte()

		Public Property Blog() As Blog
		Public Property CreatedBy() As Person
		Public Property UpdatedBy() As Person

		Public Property Comments() As ICollection(Of Comment)
		Public Property TagCloud() As ICollection(Of Tag)

	End Class
	Public Class Person
		Public Property Id() As Integer
		Public Property Name() As String


	End Class

	Public Class Comment

		Public Property Id() As Integer
		Public Property DateCreated() As Date
		Public Property Content() As String
		Public Property PostId() As Integer

		Public Property Post() As Post
	End Class

	Public Class Tag
		Public Property Id() As Integer
		Public Property Name() As String

		Public Property Posts() As ICollection(Of Post)
	End Class
End Namespace